sqlite3 vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the sqlite3 package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • L
Information Exposure
* Not available 09 Feb, 2021
  • L
CVE-2020-9991
* Not available 09 Feb, 2021
  • M
Out-of-bounds Read
* Not available 30 May, 2020
  • M
Use After Free
<3.11.0-1ubuntu1.5 Not available 27 May, 2020
  • M
NULL Pointer Dereference
<3.11.0-1ubuntu1.5 Not available 27 May, 2020
  • M
Integer Overflow or Wraparound
<3.11.0-1ubuntu1.5 Not available 25 May, 2020
  • M
NULL Pointer Dereference
<3.11.0-1ubuntu1.4 Not available 05 Feb, 2020
  • L
Improper Handling of Exceptional Conditions
<3.11.0-1ubuntu1.4 Not available 02 Jan, 2020
  • M
Out-of-bounds Write
<3.11.0-1ubuntu1.4 Not available 11 Dec, 2019
  • M
Out-of-bounds Read
<3.11.0-1ubuntu1.4 Not available 11 Dec, 2019
  • M
Improper Input Validation
<3.11.0-1ubuntu1.4 Not available 11 Dec, 2019
  • M
Out-of-bounds Read
<3.11.0-1ubuntu1.4 Not available 11 Dec, 2019
  • M
Use of Uninitialized Resource
<3.11.0-1ubuntu1.4 Not available 11 Dec, 2019
  • L
Divide By Zero
<3.11.0-1ubuntu1.3 Not available 09 Sep, 2019
  • M
Out-of-bounds Read
<3.11.0-1ubuntu1.2 Not available 30 May, 2019
  • L
Out-of-bounds Write
<3.11.0-1ubuntu1.3 Not available 08 May, 2019
  • M
Integer Overflow or Wraparound
<3.11.0-1ubuntu1.2 Not available 03 Apr, 2019
  • M
Out-of-bounds Read
<3.11.0-1ubuntu1.2 Not available 22 Mar, 2019
  • L
NULL Pointer Dereference
<3.11.0-1ubuntu1.2 Not available 22 Mar, 2019
  • M
Integer Overflow or Wraparound
<3.11.0-1ubuntu1.2 Not available 21 Dec, 2018
  • L
NULL Pointer Dereference
<3.11.0-1ubuntu1.1 Not available 17 Mar, 2018
  • L
Improper Input Validation
<3.11.0-1ubuntu1.2 Not available 29 Aug, 2017
  • L
Out-of-bounds Read
<3.11.0-1ubuntu1.2 Not available 07 Jul, 2017
  • L
Out-of-Bounds
<3.11.0-1ubuntu1.2 Not available 22 May, 2017
  • L
Out-of-bounds Write
<3.11.0-1ubuntu1.2 Not available 22 May, 2017
  • L
Use After Free
<3.11.0-1ubuntu1.2 Not available 22 May, 2017
  • L
Improper Input Validation
<3.11.0-1ubuntu1.2 Not available 26 Sep, 2016